Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061172 - allow users to download Windows virt-viewer manually (avoid ActiveX plugin)
Summary: allow users to download Windows virt-viewer manually (avoid ActiveX plugin)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 3.3.1
Assignee: Frantisek Kobzik
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On: 997418 1064478 1064852
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 13:37 UTC by rhev-integ
Modified: 2018-12-04 17:19 UTC (History)
25 users (show)

Fixed In Version: is34.2
Doc Type: Known Issue
Doc Text:
Previously, Windows users could only install Virt Viewer and USB Clerk via the ActiveX plug-in. With this update, users can now manually download installation files for these utilities from links on the web portal. However, users must update the rhevm-branding-rhev package to version 3.3.1 for these links to become visible.
Clone Of: 997418
Environment:
Last Closed: 2014-03-03 13:32:48 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0227 normal SHIPPED_LIVE rhevm 3.3.1 bug fix update 2014-03-03 18:29:31 UTC
oVirt gerrit 18596 None None None Never
oVirt gerrit 19553 None None None Never
oVirt gerrit 19722 None None None Never
oVirt gerrit 24003 None None None Never
oVirt gerrit 24010 None None None Never

Comment 2 Pavel Novotny 2014-02-11 12:34:30 UTC
FailedQA in rhevm-3.3.1-0.47.el6ev.noarch (is34).

The 'Console Client Resources' page is present on the system at /ovirt-engine/console-client-resources.html, however there is no reference to it on the welcome page - the Download section with Console Client Resources link is missing.

New links should be also present on (Basic) User Portal right-hand (details) pane
and in the Console Options dialog (for Extended User Portal and Webadmin), but they're missing too.

The problem with welcome page is probably in old rhevm-branding-rhev-3.3.0-1.5.el6ev.noarch package, it should be a -3.3.1- version (new build is missing?).
But it doesn't explain the missing links in UI.

Comment 3 Michal Skrivanek 2014-02-12 09:25:40 UTC
seems you were using an outdated branding package. Did you get it from the same repo? Any build issues perhaps?

Comment 4 Alon Bar-Lev 2014-02-12 10:08:49 UTC
(In reply to Michal Skrivanek from comment #3)
> seems you were using an outdated branding package. Did you get it from the
> same repo? Any build issues perhaps?

if product should pull a new branding package, the spec of rhevm should be modified with new version.

this does not effect production as within production people do not have pre-release.

for now I guess that yum update rhevm-branding-rhev will be sufficient.

Comment 5 Alon Bar-Lev 2014-02-12 10:09:56 UTC
(In reply to Alon Bar-Lev from comment #4)
> (In reply to Michal Skrivanek from comment #3)
> > seems you were using an outdated branding package. Did you get it from the
> > same repo? Any build issues perhaps?
> 
> if product should pull a new branding package, the spec of rhevm should be
> modified with new version.
> 
> this does not effect production as within production people do not have
> pre-release.
> 
> for now I guess that yum update rhevm-branding-rhev will be sufficient.

oh... sorry, we are talking about 3.3.z, my answer was for 3.4 series.

Comment 6 Pavel Novotny 2014-02-12 12:51:08 UTC
(In reply to Michal Skrivanek from comment #3)
> seems you were using an outdated branding package. Did you get it from the
> same repo? Any build issues perhaps?

Yes, the outdated branding package was shipped in the same repo.
IMHO the new one might got lost somewhere during the building/packaging process.


(In reply to Alon Bar-Lev from comment #4)
> (In reply to Michal Skrivanek from comment #3)
> > seems you were using an outdated branding package. Did you get it from the
> > same repo? Any build issues perhaps?
> 
> if product should pull a new branding package, the spec of rhevm should be
> modified with new version.
> 
> this does not effect production as within production people do not have
> pre-release.
> 
> for now I guess that yum update rhevm-branding-rhev will be sufficient.

yum update rhevm-branding-rhev doesn't help, because there is no newer package available, just the outdated one (rhevm-branding-rhev-3.3.0-1.5.el6ev.noarch).

Comment 12 Eyal Edri 2014-02-18 13:22:49 UTC
shipped with is34.2

Comment 13 Pavel Novotny 2014-02-19 11:56:44 UTC
Verified in rhevm-3.3.1-0.48.el6ev.noarch (is34.3).

The rhevm-3.3.1-0.48.el6ev now requires rhevm-branding-rhev >= 3.3.1-1 so no manual update of the branding is needed (see bug 1064478).

Branding is updated during RHEVM setup:
# rhevm-setup
...
[ INFO  ] Yum Status: Downloading Packages
[ INFO  ] Yum Download/Verify: rhevm-3.3.1-0.48.el6ev.noarch
[ INFO  ] Yum Download/Verify: rhevm-backend-3.3.1-0.48.el6ev.noarch
[ INFO  ] Yum Download/Verify: rhevm-branding-rhev-3.3.1-1.el6ev.noarch
...
[ INFO  ] Yum Status: Running Transaction
[ INFO  ] Yum update: 1/18: rhevm-websocket-proxy-3.3.1-0.48.el6ev.noarch
[ INFO  ] Yum update: 2/18: rhevm-branding-rhev-3.3.1-1.el6ev.noarch
...
[ INFO  ] Yum Verify: 1/18: rhevm-branding-rhev.noarch 0:3.3.1-1.el6ev - u

# rpm -qR rhevm-backend | grep branding
rhevm-branding-rhev >= 3.3.1-1


The console client resources are working as expected in branding 3.3.1-1, see bug 1064896 comment 4.

Comment 15 errata-xmlrpc 2014-03-03 13:32:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0227.html


Note You need to log in before you can comment on or make changes to this bug.